# Class ObservationAlarmDto | ADAS
Represents a data transfer object for an observation alarm, used to encapsulate and transfer alarm-related information between application layers.

# Class ObservationAlarmDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object for an observation alarm, used to encapsulate and transfer alarm-related information between application layers.

    public class ObservationAlarmDto

Inheritance
  object
  ObservationAlarmDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Alarms

    public List<PatientObservationAlarm>? Alarms { get; set; }

#### Property Value

List<PatientObservationAlarm>

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### MessageTime

    public DateTime MessageTime { get; set; }

#### Property Value

DateTime

### ObsertationData

    public ObservationData? ObsertationData { get; set; }

#### Property Value

ObservationData

### ObservationData

    public ObservationData? ObservationData { get; set; }

#### Property Value

ObservationData

### PatientNumber

    public string? PatientNumber { get; set; }

#### Property Value

string

### WaitResult

    public bool WaitResult { get; set; }

#### Property Value

bool